curl 'https://api.sandbox.uqpay.org/api/v1/balances?page_num=1&page_size=100' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 2,
"total_page": 1,
"item_list": [
{
"balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
"balance_name": "1",
"balance_currency": "SGD",
"available_balance": "742",
"pending_balance": "0",
"reserved_balance": "0",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2023-09-07T13:57:32+08:00"
},
{
"balance_id": "4cf219c6-e023-4222-a123-8e3dd1643274",
"balance_name": "1",
"balance_currency": "USD",
"available_balance": "0",
"pending_balance": "0",
"reserved_balance": "0",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2023-09-06T10:21:41+08:00"
}
]
}
}
Balances
List all balances
This endpoint returns a list of balances for opened currency.
GET
/
api
/
v1
/
balances
curl 'https://api.sandbox.uqpay.org/api/v1/balances?page_num=1&page_size=100' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 2,
"total_page": 1,
"item_list": [
{
"balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
"balance_name": "1",
"balance_currency": "SGD",
"available_balance": "742",
"pending_balance": "0",
"reserved_balance": "0",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2023-09-07T13:57:32+08:00"
},
{
"balance_id": "4cf219c6-e023-4222-a123-8e3dd1643274",
"balance_name": "1",
"balance_currency": "USD",
"available_balance": "0",
"pending_balance": "0",
"reserved_balance": "0",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2023-09-06T10:21:41+08:00"
}
]
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
number
required
Page number, starts from 1.
number
required
Number of results per page.
Maximum 100string
Filter on status of the balance.
One of
One of
all, active, closedstring
Fuzzy search by name of the balance.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
object
Hide details
Hide details
number
Total items.
number
Total pages.
array
Hide details
Hide details
string
ID of the balance.
string
Name of the balance.
string
Current Available Balance - Funds, etc., that have been cleared and liquidated and can be used for settlement to the client’s bank account.
string
Balance in Process - Primarily funds pending settlement by AC (after clearing) / PAYOUT, CONVERT.
string
Reserve balances - mainly for refunds, rejections and other operating cost expenditures.
string
Margin Balance - for revolving margins common in VM or fixed margins in card issuance operations.
string
Freezing of funds - mainly in dealing with disputes and other risk freezes.
string
Time on which the conversion will be created.
curl 'https://api.sandbox.uqpay.org/api/v1/balances?page_num=1&page_size=100' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 2,
"total_page": 1,
"item_list": [
{
"balance_id": "b8241d83-b849-49c5-ac20-c2c311953577",
"balance_name": "1",
"balance_currency": "SGD",
"available_balance": "742",
"pending_balance": "0",
"reserved_balance": "0",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2023-09-07T13:57:32+08:00"
},
{
"balance_id": "4cf219c6-e023-4222-a123-8e3dd1643274",
"balance_name": "1",
"balance_currency": "USD",
"available_balance": "0",
"pending_balance": "0",
"reserved_balance": "0",
"margin_balance": "0",
"frozen_balance": "0",
"create_time": "2023-09-06T10:21:41+08:00"
}
]
}
}
⌘I